Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1
Class DERNumericString

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.DERObject
              org.bouncycastle.asn1.ASN1Object
                  org.bouncycastle.asn1.DERNumericString

All Implemented Interfaces:
  DEREncodable, DERString, DERTags

    public class DERNumericString

extends ASN1Object
implements DERString

DER NumericString object - this is an ascii string of characters {0,1,2,3,4,5,6,7,8,9, }.

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Fields inherited from interface org.bouncycastle.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`DERNumericString(byte[] string)` basic constructor - with bytes.
`DERNumericString(java.lang.String string)` basic constructor - without validation..
`DERNumericString(java.lang.String string, boolean validate)` Constructor with optional validation.

Method Summary
`static DERNumericString` `getInstance(ASN1TaggedObject obj, boolean explicit)` return an Numeric String from a tagged object.
`static DERNumericString` `getInstance(java.lang.Object obj)` return a Numeric string from the passed in object
`byte[]` `getOctets()`
`java.lang.String` `getString()`
`int` `hashCode()`
`static boolean` `isNumericString(java.lang.String str)` Return true if the string can be represented as a NumericString ('0'..'9', ' ')
`java.lang.String` `toString()`

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`equals, fromByteArray`

Methods inherited from class org.bouncycastle.asn1.DERObject
`toASN1Object`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`getDEREncoded, getDERObject, getEncoded, getEncoded`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DERNumericString

    public DERNumericString(byte[] string)

  basic constructor - with bytes.

### DERNumericString

    public DERNumericString(java.lang.String string)

  basic constructor - without validation..

### DERNumericString

    public DERNumericString(java.lang.String string,
                            boolean validate)

  Constructor with optional validation.

  Parameters:
    `string` - the base string to wrap.
    `validate` - whether or not to check the string.
  Throws:
    `java.lang.IllegalArgumentException` - if validate is true and the string contains characters that should not be in a NumericString.

Method Detail

### getInstance

    public static DERNumericString getInstance(java.lang.Object obj)

  return a Numeric string from the passed in object

  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getInstance

    public static DERNumericString getInstance(ASN1TaggedObject obj,
                                               boolean explicit)

  return an Numeric String from a tagged object.

  Parameters:
    `obj` - the tagged object holding the object we want
    `explicit` - true if the object is meant to be explicitly tagged false otherwise.
  Throws:
    `java.lang.IllegalArgumentException` - if the tagged object cannot be converted.

### getString

    public java.lang.String getString()

  Specified by:
    `getString` in interface `DERString`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getOctets

    public byte[] getOctets()

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `ASN1Object`

### isNumericString

    public static boolean isNumericString(java.lang.String str)

  Return true if the string can be represented as a NumericString ('0'..'9', ' ')

  Parameters:
    `str` - string to validate.
  Returns:
    true if numeric, fale otherwise.

Bouncy Castle Cryptography Library 1.45